lilypond_2.18.2-4_amd64.deb


Advertisement

Description

lilypond - program for typesetting sheet music

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name lilypond
Package version 2.18.2
Package release 4
Package architecture amd64
Package type deb
Installed size 5.63 KB
Download size 1.38 MB
Official Mirror ftp.br.debian.org
LilyPond is a music typesetter, an automated engraving system.  It
produces beautiful sheet music using a high level description file as input.
LilyPond supports many forms of music notation constructs, including
chord names, drum notation, figured bass, grace notes, guitar tablature,
modern notation (cluster notation and rhythmic grouping), tremolos,
(nested) tuplets in arbitrary ratios, and more.
LilyPond's text-based music input language support can integrate into
LaTeX, HTML and Texinfo seamlessly, allowing single sheet music
or musicological treatises to be written from a single source.  Form and
content are separate, and with LilyPond's expert automated formatting,
users don't need typographical expertise to produce good notation.
LilyPond produces PDF, PostScript, SVG, or TeX printed output, as well
as MIDI for listening pleasures.  LilyPond is exported from the
RoseGarden and NoteEdit GUIs, and can import ABC, ETF and MIDI.
LilyPond is part of the GNU Project.
Authors: Han-Wen Nienhuys <hanwen@cs.uu.nl>
Jan Nieuwenhuizen <janneke@gnu.org>

Alternatives

Package Version Architecture Repository
lilypond_2.18.2-4_i386.deb 2.18.2 i386 Debian Main
lilypond - - -

Requires

Name Value
ghostscript -
guile-1.8 -
guile-1.8-libs -
libc6 >= 2.14
libfontconfig1 >= 2.11
libfreetype6 >= 2.2.1
libgcc1 >= 1:4.1.1
libglib2.0-0 >= 2.12.0
libgmp10 -
libltdl7 >= 2.4.2
libpango-1.0-0 >= 1.18.0
libpangoft2-1.0-0 >= 1.14.0
libstdc++6 >= 4.9
lilypond-data = 2.18.2-4
python -

Provides

Name Value
lilypond1.3 -

Replaces

Name Value
lilypond1.3 -

Download

Type URL
Binary Package lilypond_2.18.2-4_amd64.deb
Source Package lilypond

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lilypond deb package:
    # sudo apt-get install lilypond

Files

Path
/usr/bin/abc2ly
/usr/bin/convert-ly
/usr/bin/etf2ly
/usr/bin/lilymidi
/usr/bin/lilypond
/usr/bin/lilypond-book
/usr/bin/lilypond-invoke-editor
/usr/bin/lilysong
/usr/bin/midi2ly
/usr/bin/musicxml2ly
/usr/lib/x86_64-linux-gnu/lilypond/2.18.2/python/midi.so
/usr/share/doc/lilypond/AUTHORS.txt.gz
/usr/share/doc/lilypond/DEDICATION
/usr/share/doc/lilypond/NEWS.txt.gz
/usr/share/doc/lilypond/README.Debian
/usr/share/doc/lilypond/README.txt
/usr/share/doc/lilypond/changelog.Debian.gz
/usr/share/doc/lilypond/copyright
/usr/share/lintian/overrides/lilypond
/usr/share/locale/ca/LC_MESSAGES/lilypond.mo
/usr/share/locale/cs/LC_MESSAGES/lilypond.mo
/usr/share/locale/da/LC_MESSAGES/lilypond.mo
/usr/share/locale/de/LC_MESSAGES/lilypond.mo
/usr/share/locale/el/LC_MESSAGES/lilypond.mo
/usr/share/locale/eo/LC_MESSAGES/lilypond.mo
/usr/share/locale/es/LC_MESSAGES/lilypond.mo
/usr/share/locale/fi/LC_MESSAGES/lilypond.mo
/usr/share/locale/fr/LC_MESSAGES/lilypond.mo
/usr/share/locale/it/LC_MESSAGES/lilypond.mo
/usr/share/locale/ja/LC_MESSAGES/lilypond.mo
/usr/share/locale/nl/LC_MESSAGES/lilypond.mo
/usr/share/locale/ru/LC_MESSAGES/lilypond.mo
/usr/share/locale/sv/LC_MESSAGES/lilypond.mo
/usr/share/locale/tr/LC_MESSAGES/lilypond.mo
/usr/share/locale/uk/LC_MESSAGES/lilypond.mo
/usr/share/locale/vi/LC_MESSAGES/lilypond.mo
/usr/share/locale/zh_TW/LC_MESSAGES/lilypond.mo
/usr/share/man/man1/abc2ly.1.gz
/usr/share/man/man1/convert-ly.1.gz
/usr/share/man/man1/etf2ly.1.gz
/usr/share/man/man1/lilymidi.1.gz
/usr/share/man/man1/lilypond-book.1.gz
/usr/share/man/man1/lilypond-invoke-editor.1.gz
/usr/share/man/man1/lilypond.1.gz
/usr/share/man/man1/lilysong.1.gz
/usr/share/man/man1/midi2ly.1.gz
/usr/share/man/man1/musicxml2ly.1.gz

Changelog

2014-11-16 - Don Armstrong <don@debian.org>
lilypond (2.18.2-4) unstable; urgency=medium
* Fix the wrong maintscript-helper invocation which was trying to
symlink to /usr/share/doc/lilypond/Documentation/user instead of
/usr/share/doc/lilypond/Documentation. (Closes: #768272)
* Add missing Pre-Depends: ${misc:Depends} for dpkg-maintscript-helper.
2014-09-16 - Don Armstrong <don@debian.org>
lilypond (2.18.2-3) unstable; urgency=medium
* Revert previous patch (no parallel); the issue was actually running
tests on architecture independent builds which had not built any of
the documentation. (Closes: #760794)
* Stop setting HOME to /tmp in debian/rules. (Closes: #762230)
2014-09-09 - Don Armstrong <don@debian.org>
lilypond (2.18.2-2) unstable; urgency=high
* Disable parallel support on !amd64 to avoid build failures on those
architectures. This is a temporary fix; a real fix to the (possibly)
broken makefiles needs to be written. (Closes: #760794)
2014-09-03 - Don Armstrong <don@debian.org>
lilypond (2.18.2-1) unstable; urgency=high
* New upstream version
* Fix Broken usage of dpkg-maintscript-helper (relative pathnames vs.
aboslute pathnames), thanks to Guillem Jover and Petter Reinholdtsen
(Closes: #758787).
2013-12-31 - Don Armstrong <don@debian.org>
lilypond (2.18.0-1) unstable; urgency=low
* New upstream version (closes: #729817)
* Fix replacement of /usr/share/info/lilypond symlink with a directory
(Closes: #736306)
2013-12-31 - Don Armstrong <don@debian.org>
lilypond (2.16.2-3) unstable; urgency=low
* Do not include non-existant paths in lilypond-doc.doc-base-special
(closes: #693238)
* Breaks/Replaces lilypond-doc in html packages to stop problems on
wheezy upgrade. (Closes: #718013)
* Fix freetype path by applying patch from upstream (Closes: #733399)
* Fix bison build failures with 42cb7d44
2013-05-15 - Don Armstrong <don@debian.org>
lilypond (2.16.2-2) unstable; urgency=low
* Fix bad syntax in texinfo documentation exposed by texinfo >= 5.1
(closes: #707190)
* Patch around using PATH_MAX in flower/file-name.cc to have builds work
on hurd (hopefully).
2013-05-06 - Don Armstrong <don@debian.org>
lilypond (2.16.2-1) unstable; urgency=low
* Release 2.16.2-1 to unstable
2013-04-24 - Don Armstrong <don@debian.org>
lilypond (2.16.2-1~exp+1) experimental; urgency=low
* New upstream release (closes: #705895)
* Put languages in their own subdocument to work around doc-base not
having a language specifier (closes: #698435)
2012-10-02 - Don Armstrong <don@debian.org>
lilypond (2.16.1-1~exp+2) experimental; urgency=low
* New upstream release
* netpbm and fonts are required to run the tests during the binary
build; migrate the Build-Depends-Indep to Build-Depends.
* Switch to dh style rules

See Also

Package Description
lilyterm_0.9.9.4-3_amd64.deb Light and eazy-to-use terminal emulator for X
lime-forensics-dkms_1.3~svn.r21-2_all.deb kernel module to memory dump (DKMS)
linaro-image-tools_2014.07-1_amd64.deb collection of tools to work with Linaro images
lincity-ng-data_2.0-4_all.deb Media files for the city simulator game LinCity-NG
lincity-ng_2.0-4+b1_amd64.deb City simulator game with polished graphics
lincity_1.13.1-11_amd64.deb build & maintain a city/country
lincredits_0.7_all.deb Generate nicely-formatted versions of the Linux CREDITS file
lingot_0.9.1-2_amd64.deb accurate and easy to use musical instrument tuner
link-grammar-dictionaries-en_4.7.4-2_all.deb Carnegie Mellon University's link grammar parser (English dictionary)
link-grammar-dictionaries-lt_4.7.4-2_all.deb Carnegie Mellon University's link grammar parser (Lithuanian dictionary)
link-grammar_4.7.4-2_amd64.deb Carnegie Mellon University's link grammar parser
link-monitor-applet-common_3.0-11_all.deb GNOME Panel Applet with graph of round-trip times to hosts (data)
link-monitor-applet_3.0-11_amd64.deb GNOME Panel Applet with bar graph of round-trip times to hosts
linkchecker-gui_9.3-1+deb8u1_all.deb check websites and HTML documents for broken links (GUI client)
linkchecker-web_9.3-1+deb8u1_all.deb check websites and HTML documents for broken links (web client)
Advertisement
Advertisement